import { ConditionUtil, FieldUtil, TableUtilImpl, IdType } from 'model-util';
import { FawvwCouponLog } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-12-03 13:28
 */
interface FawvwCouponLogCU extends ConditionUtil<FawvwCouponLogCU> {
    ID: FieldUtil<FawvwCouponLogCU>;
    USER_ID: FieldUtil<FawvwCouponLogCU>;
    COUPON_CONFIG_ID: FieldUtil<FawvwCouponLogCU>;
    STATE: FieldUtil<FawvwCouponLogCU>;
    CREATE_TIME: FieldUtil<FawvwCouponLogCU>;
}
declare class FawvwCouponLogMU extends TableUtilImpl<FawvwCouponLogCU, FawvwCouponLog> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: any[];
    createConditionUtil(): FawvwCouponLogCU;
    static get ID(): FieldUtil<FawvwCouponLogCU>;
    static get USER_ID(): FieldUtil<FawvwCouponLogCU>;
    static get COUPON_CONFIG_ID(): FieldUtil<FawvwCouponLogCU>;
    static get STATE(): FieldUtil<FawvwCouponLogCU>;
    static get CREATE_TIME(): FieldUtil<FawvwCouponLogCU>;
    get ID(): FieldUtil<FawvwCouponLogCU>;
    get USER_ID(): FieldUtil<FawvwCouponLogCU>;
    get COUPON_CONFIG_ID(): FieldUtil<FawvwCouponLogCU>;
    get STATE(): FieldUtil<FawvwCouponLogCU>;
    get CREATE_TIME(): FieldUtil<FawvwCouponLogCU>;
}
export { FawvwCouponLogMU, FawvwCouponLogCU };
